<?php
/*
Plugin Name: HNY JPForms something additional
Plugin URI: http://www.hanano-ya.jp
Description: 素敵な日本産お問い合わせフォームMW WP Form でちょっとした機能を追加する
Author: 花のや
Version: 1.0.0
Author URI: http://www.hanano-ya.jp

Copyright 2014 hananoya (email : info@hanano-ya.jp)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

$hny_jsa = new hny_jpforms_something_additional();

class hny_jpforms_something_additional{
	
	private $my_fields = array(
		'hny_jsa_zip',
		'hny_jsa_address',
		'hny_jsa_confirm_scroll'
	);
	
	public function __construct(){
	  add_action('plugins_loaded', array(&$this, 'hny_initialize'));

		register_activation_hook( __FILE__, array(&$this, 'hny_activation'));
		register_uninstall_hook( __FILE__, array(&$this, 'hny_uninstall'));
	}
	public function hny_activation(){
	}
	public function hny_uninstall(){
	}
	public function hny_initialize(){
		add_action('admin_menu', array(&$this, 'hny_admin_menu'));
		add_action('save_post', array(&$this, 'hny_save_data'));
		
		add_action('wp_print_footer_scripts', array(&$this, 'hny_make_footer_scripts'));
	}
	public function hny_admin_menu(){
		add_meta_box('jpform_custom', 'JpForm色々', array(&$this,'add_mw_wp_form'), 'mw-wp-form', 'side', 'low');
//		add_meta_box('jpform_custom', 'JpForm色々', array(&$this,'add_mw_wp_form'), 'page', 'side', 'low');
	}
	public function add_mw_wp_form(){
		include_once(plugin_dir_path( __FILE__ ).'template/add_mw_wp_form.php');
	}
	public function hny_save_data($id){
		foreach ($this->my_fields as $fields)
			$this->hny_save_or_update($id, $fields);
	}
	private function hny_save_or_update($id, $fields){
		$my_data = ($_POST[$fields])? esc_html($_POST[$fields]): '';
		update_post_meta($id, $fields, $my_data) ;
	}
	private function hny_get_mw_wp_forms(){
		$args = array(
			'post_type' => 'mw-wp-form',
			'posts_per_page' => -1
		);
		return get_posts($args);
	}
	public function hny_make_footer_scripts(){
		if(is_admin())
			return;
		$forms = $this->hny_get_mw_wp_forms();
		$output = '<script src="http://ajaxzip3.googlecode.com/svn/trunk/ajaxzip3/ajaxzip3.js" charset="UTF-8"></script>'."\n";
		$output .= '<script type="text/javascript">'."\n";
		$output .= 'jQuery(document).ready(function($){'."\n";
		$output .= $this->hny_zip2address_script($forms);
		$output .= $this->hny_confirm_scroll_script($forms);
		$output .= '});'."\n";
		$output .= '</script>'."\n";
		echo $output;
	}
	private function hny_zip2address_script($forms){
		$ret = '';
		foreach($forms as $form){
			if($form->hny_jsa_zip && $form->hny_jsa_address){
				$ret .= "$('div#mw_wp_form_mw-wp-form-".$form->ID." input[name=\"".$form->hny_jsa_zip."\"]').on('keyup',function(){";
				$ret .= "  AjaxZip3.zip2addr(this,'','".$form->hny_jsa_address."','".$form->hny_jsa_address."');";
				$ret .= "});\n";

				$ret .= "$('div#mw_wp_form_mw-wp-form-".$form->ID." input[name=\"".$form->hny_jsa_zip."\\\\[data\\\\]\\\\[1\\\\]\"]').on('keyup',function(){";
				$ret .= "AjaxZip3.zip2addr('".$form->hny_jsa_zip."[data][0]','".$form->hny_jsa_zip."[data][1]','".$form->hny_jsa_address."','".$form->hny_jsa_address."','".$form->hny_jsa_address."');";
				$ret .= "});\n";
			}
		}
		return $ret;
	}
	private function hny_confirm_scroll_script($forms){
		$ret = '';
		foreach($forms as $form){
			if($form->hny_jsa_confirm_scroll){
				$ret .= "var target".$form->ID." = $('div#mw_wp_form_mw-wp-form-".$form->ID.".mw_wp_form');\n";
				$ret .= "if(target".$form->ID.".length && (target".$form->ID.".hasClass('mw_wp_form_confirm') || target".$form->ID.".find('.error').length)){ $('html, body').animate({scrollTop:target".$form->ID.".offset().top}, 500, 'swing'); }\n";
			}
		}
		return $ret;
	}
	private function hmy_make_mw_wp_filter($forms){
		foreach($forms as $form){
			
		}
	}
}





 
?>